package net.knarcraft.bookswithoutborders.encryption;

import junit.framework.Assert;
import org.junit.Test;

import static junit.framework.Assert.assertEquals;

public class AESTest {

    @Test
    public void encryptDecryptTest() {
        String plainText = "A lot of text";
        String password = "abc123";

        AES aes = new AES(AES.generateIV(), AES.generateIV());

        String encrypted = aes.encryptDecryptText(plainText, password, true);
        Assert.assertNotSame(encrypted, plainText);
        String decrypted = aes.encryptDecryptText(encrypted, password, false);
        assertEquals(plainText, decrypted);
    }

}
